use crate::prelude::*;

pub async fn get_top_level(
    State(pool): State<Pool>,
    claims: Claims,
) -> Result<Json<Vec<Uuid>>, StatusCode> {
    let folders = db::permissions::get_top_level_permitted_folders(claims.user_id, &pool)
        .await
        .handle_internal()?;
    Ok(Json(folders))
}
